Subject: Re: [Sipping] Requesting the publication of cc-transfer

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 03 Sep 2007 12:24:05 +0300

Hi Alan,

let's way until the two weeks I talked about below are over before 
revising the draft in case more people have comments.

Thanks,

Gonzalo

Alan Johnston wrote:
> I will fix this.
> 
> Thanks,
> Alan
> 
> Jeroen van Bemmel wrote:
>> Gonzalo,
>>
>> The examples still use the 'grid' parameter, which was removed from 
>> GRUU beginning with the -11 draft
>>
>> Regards,
>> Jeroen
>>
>>
>> Gonzalo Camarillo wrote:
>>> Folks,
>>>
>>> now that the GRUU mechanism is stable, Alan has put together a new 
>>> revision of the cc-transfer draft that is ready for publication.
>>>
>>> http://www.ietf.org/internet-drafts/draft-ietf-sipping-cc-transfer-08.txt 
>>>
>>>
>>> Please, have a look at this draft and let us know if you have 
>>> comments. We intend to request its publication in a couple of weeks.
>>>
>>> Thanks,
>>>
>>> Gonzalo
>>>
>>>
>>>
>>> _______________________________________________
>>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>> This list is for NEW development of the application of SIP
>>> Use [email-masked] for questions on current sip
>>> Use [email-masked] for new developments of core SIP
>>>
>>
>>
>> _______________________________________________
>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>> This list is for NEW development of the application of SIP
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments of core SIP
>>
>>
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Ian Elz (CV/ETL)" <[email-masked]>
Date: Tue, 4 Sep 2007 17:46:22 +0200

I have been reading through this draft as much of what is included must
be considered for the b2bua draft.

I have a couple of NITS:

Section 1 refers to the Refer method and the Replaces header but there
is no mention in the draft of the Referred-By header. While this is
optional it may be worth showing the use of the Referred-By header in
one of the examples.

Section 5 3rd paragraph references section 5.2. This should now read
6.2, there has been another section added.

In some Figures where you use the Replaces= you show the replaced dialog
as 'dialog2' (Figure 9) and in others it is just '2' (Figures 6,7 & 8).

I have an observation about Section 7.2. While this shows that either
party in this scenario can become the transferee I am unsure how this
hides information about the Transfer Target (performing the transfer in
this case). The INVITE, as shown in Figure 6, will reveal the
information about the Transfer Target to the Transferee. If you wish to
show information hiding perhaps an example should include Privacy
headers.

There appears to be an issue with the To-tag and From-tag in the
Replaces headers.

Let me use Figure 6 as an example.

              Transferor           Transferee             Transfer
                   |                    |                  Target
                   |                    |                    |
         dialog1   | INVITE/200 OK/ACK F1 F2                 |
                   |<-------------------|                    |
         dialog1   | INVITE (hold)/200 OK/ACK                |
                   |------------------->|                    |
         dialog2   | INVITE/200 OK/ACK F3 F4                 |
                   |---------------------------------------->|
         dialog2   | INVITE (hold)/200 OK/ACK                |
                   |---------------------------------------->|
         dialog3   | REFER (Target-Dialog:1,                 |
                   |  Refer-To:sips:Transferee?Replaces=1) F5|
                   |---------------------------------------->|
         dialog3   | 202 Accepted       |                    |
                   |<----------------------------------------|
         dialog3   | NOTIFY (100 Trying)|                    |
                   |<----------------------------------------|
         dialog3   |                    |            200 OK  |
                   |---------------------------------------->|
         dialog4   |         INVITE (Replaces:dialog1)/200 OK/ACK F6
                   |                    |<-------------------|

In this example you have shown F1 and F2 where F2 is:

  F2 200 OK Transferor -> Transferee

  SIP/2.0 200 OK
  Via: SIP/2.0/TLS 192.0.2.4;branch=z9hG4bKnas432
  To: <sips:[email-masked]>;tag=31431
  From: <sips:[email-masked]>;tag=7553452
  Call-ID: 090459243588173445
  CSeq: 29887 INVITE
  Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER, NOTIFY
  Supported: replaces, gruu, tdialog
  Contact: <sips:[email-masked];grid=723jd2d;gruu>
  Content-Type: application/sdp
  Content-Length: ...

You have then used the Call-Id, To-tag and From-tag from this
transaction to specify the Replaces values in the REFER/Replaces in F5
as:

?Replaces=090459243588173445%3Bto-tag%3D31431%3Bfrom-tag%3D7553452

The Replaces header in F6 is shown with the same to-tag and from-tag:

Replaces: 090459243588173445;to-tag=31431;from-tag=7553452

This is not in agreement with the contents of RFC 3891 Replaces header
which states in Section 3:

                                                   The User Agent Server
   (UAS) matches the to-tag and from-tag parameters as if they were tags
   present in an incoming request.  In other words, the to-tag parameter
   is compared to the local tag, and the from-tag parameter is compared
   to the remote tag.

As the initial INVITE of dialog1, dialog to be replaced, is from the
Transferee to the Transferor the local-tag for the Transferee is 7554542
and the remote-tag is 31431.

This means that in a Replaces header directed towards the Transferee to
replace dialog1 the tags should be as follows:
       To-tag=7554542
       From-tag=31431

Thus in F6 the Replaces header should be:

Replaces: 090459243588173445;to-tag=7553452;from-tag=31431

Which means that the Replaces contained in the Refer-to in F5 should be:

?Replaces=090459243588173445%3Bto-tag%3D7553452%3Bfrom-tag%3D31431

Which is as if the Transferor is sending a Request directly to the
Transferee.

I have not checked the other examples to see if the same mistake has
been made in these examples.

Ian Elz

Office: + 44 24 764 35256
gsm: +44 7801723668
[email-masked]

-----Original Message-----
From: Gonzalo Camarillo [mailto:[email-masked]] 
Sent: 30 August 2007 13:05
To: sipping
Cc: Mary Barnes
Subject: [Sipping] Requesting the publication of cc-transfer

Folks,

http://www.ietf.org/internet-drafts/draft-ietf-sipping-cc-transfer-08.tx
t

Please, have a look at this draft and let us know if you have comments. 
We intend to request its publication in a couple of weeks.

Thanks,

Gonzalo

---

From: "Jin, Haipeng" <[email-masked]>
Date: Thu, 6 Sep 2007 12:44:52 -0700

Hi, 

Here are several nits for the editor to take care of when revising the
document:
1. Change "200 OK Transfer Target -> Transferee" to "200 OK Transfer
Target -> Transferor" in the following messages: F4 in 7.2 and 7.3, two
occurrences of F2 in 7.5.
2. Both figures are numbered 14 in 7.7, the second one needs to be
changed to Figure 15. Note this also affect figure numbering in the rest
of the document.
3. Reference to "Figure 13" right after Figure 14 should be changed to
the re-numbered "Figure 15".

Thanks,
Haipeng

-----Original Message-----
From: Gonzalo Camarillo [mailto:[email-masked]] 
Sent: Thursday, August 30, 2007 5:05 AM
To: sipping
Cc: Mary Barnes
Subject: [Sipping] Requesting the publication of cc-transfer

Folks,

Thanks,

Gonzalo

---

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 11 Sep 2007 13:54:45 +0300

Hi Alan,

a couple of comments on the draft. Section 1, Overview, contains 
normative language. It shouldn't. Overviews are non-normative descriptions.

Section 5 contains a reference to Section 5.2, which does not seem to exist.

Cheers,

Gonzalo

---

From: Alan Johnston <[email-masked]>
Date: Thu, 13 Sep 2007 09:35:35 -0500

Hi Ian,

Thanks for your comments on the draft.  We will fix the issues you raise 
below.  We will check the other Replaces tags to ensure they are correct.

Thanks,
Alan

> optional it may be worth showing the use of the Referred-By header in
Section 8 shows the use of Referred-By, but we can mention it in Section 
1 as well.

---

From: "Agrawal, Vishal" <[email-masked]>
Date: Thu, 20 Sep 2007 15:56:04 -0500

Hello,

another typo...

In figure 6 the Target-Dialog in F5 should be dialog 2 and not dialog 1.

Thanks,
-Vishal

-----Original Message-----
From: Alan Johnston [mailto:[email-masked]] 
Sent: Thursday, September 13, 2007 9:36 AM
To: Ian Elz (CV/ETL)
Cc: sipping
Subject: Re: [Sipping] Requesting the publication of cc-transfer

Hi Ian,

below.  We will check the other Replaces tags to ensure they are
correct.

Thanks,
Alan

1 as well.
>                                                    The User Agent
Server
> Please, have a look at this draft and let us know if you have
comments.

---

From: "Ian Elz" <[email-masked]>
Date: Mon, 24 Sep 2007 10:14:00 +0200

Vishal,

Replaces=(dialog)1 is correct in Figure 6.

This is the 'reverse' transfer scenario where the REFER is being sent to
the Target who then initiates the new dialog with the Transferee. The
dialog to be replaced is the dialog between the Transferor and the
Transferee, dialog1. 

I checked this one closely when I made my comments as I used this
diagram when I checked the values used in the Replaces header in the
INVITE and REFER.

Ian Elz

-----Original Message-----
From: Agrawal, Vishal [mailto:[email-masked]] 
Sent: 20 September 2007 21:56
To: Alan Johnston
Cc: sipping
Subject: RE: [Sipping] Requesting the publication of cc-transfer

Hello,

another typo...

Thanks,
-Vishal

-----Original Message-----
From: Alan Johnston [mailto:[email-masked]] 
Sent: Thursday, September 13, 2007 9:36 AM
To: Ian Elz (CV/ETL)
Cc: sipping
Subject: Re: [Sipping] Requesting the publication of cc-transfer

Hi Ian,

Thanks,
Alan

1 as well.
Server
comments.